/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.sikd5.coba;

import java.io.Serializable;
import java.util.Date;
import javax.enterprise.context.SessionScoped;
import javax.inject.Named;

/**
 *
 * @author agus
 */
@Named
@SessionScoped
public class Menjajal implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	Date tgAwal = new Date();

	/**
	 * Creates a new instance of Menjajal
	 */
	public Menjajal() {
	}

	public void coba() throws Exception {
//        String fileName = System.getProperty("jboss.server.config.dir");//wildfly
		String fileName = System.getProperty("com.sun.aas.instanceRoot");// wildfly
		System.out.println("....................................");
		System.out.println(fileName);
	}

	public void setTanggal() {
		System.out.println("set tanggalllllllllllllllllllllllll");
		tgAwal = new Date();
	}
	public String helo() {
		return "Helo ini coba saja";
	}

	public Date getTgAwal() {
		return tgAwal;
	}

	public void setTgAwal(Date tgAwal) {
		this.tgAwal = tgAwal;
	}

}
